Ubuntu

grub fails after running Windows

Reported by JohnL on 2009-10-04
382
This bug affects 71 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
grub
New
Undecided
Unassigned
grub2 (Debian)
Fix Released
Unknown
grub2 (Ubuntu)
High
Colin Watson
Nominated for Karmic by Filippo De Luca
Lucid
Undecided
Unassigned
Maverick
High
Colin Watson

Bug Description

Ubuntu 9.10 beta
Grub

After installing 9.10 beta, machine displays GRUB screen and allows rebooting into either Ubuntu or Windows.
Both Windows and Ubuntu will load and run BUT, once you log out of windows, grub fails with only one line of text displayed - something like Loading GRUB. Computer is unusable - can't even Control-Alt-Delete. Must turn off and reinstall ubuntu.

Usual method to restore GRUB is to run from the CD and fix grub from a terminal. This doesn't work in 9.10 with message "grub not installed"

Mansour (oxplot) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage . I have classified this bug as a bug in grub2.
For future reference you might be interested to know that a lot of applications have bug reporting functionality built in to them. This can be accessed via the Report a Problem option in the Help menu for the application with which you are having an issue. You can learn more about this feature at https://wiki.ubuntu.com/ReportingBugs.

affects: ubuntu → grub2 (Ubuntu)
Felix Zielcke (fzielcke) wrote :

To reinstall GRUB 2 from a Live cd see this guide: http://grub.enbug.org/Grub2LiveCdInstallGuide

Seems like something in your Windows is overwriting the embeding area.
The only workaround for this, which isn't recommended, would be to install GRUB 2 to a bootsector and use some MBR code which doestn't use the embed area, like Microsoft's or the one from the mbr package.
In that case the partition with the GRUB 2 bootsector needs the boot/active flag.

JohnL (cbarter) wrote :

Thanks for the link

I've been using this machine successfully dual booting Ubuntu 8.04 with Windows XP since Apr-08 and with 9.04 for the last few months.
I haven't touched the Windows install so I'm guessing that the problem is grub2 letting Windows overwrite it, which doesn't happen with grub.

I've uninstalled 9.10 and reinstalled 9.04 and everythings fine again so the problem is definitely with grub2 / 9.10 and not some other random Windows thing.

Am Mittwoch, den 14.10.2009, 11:06 +0000 schrieb JohnL:
> the problem is definitely with grub2 / 9.10 and not some other random
> Windows thing.

Just 2 days ago someone reported the same problem in Debian:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550702

He confirmed that something in his Windows overwrites some stuff in the
embeding area (i.e. the sectors between MBR and first partition)

Please do the same things I told in message #20 there.

Check with fdisk -lu at what sector the first partition starts at.
Usually this is 63
Save the embeding area when you recovered GRUB 2 to sda.1 with e.g.
dd if=/dev/sda of=sda.1 count=63
Then boot Windows and then some LiveCD or your Ubuntu with a rescue disk
or something like that.
And do it again but this time use of=sda.2

To see the difference you could then e.g. use
diff -u <(hd sda.1) <(hd sda.2)

GRUB 2's core.img is much bigger then GRUB Legacy's stage1.5.
Seems like some Windows thing doestn't use the first part of the
embeding area but something in the middle or end of it.

--
Felix Zielcke
Proud Debian Maintainer and GNU GRUB developer

I have the same problem on dual-boot with Windows Vista. I am going to try the workaround but I really have to wonder: if that's happening regularly I would consider this one of the more serious problems...?
In any case, thank you for your help!

PeterF (peter-van-der-ploeg) wrote :

I have the same problem on a dual boot with Windows XP Professional.
I attached the files created by the suggestion by Felix Zielcke.

berman56 (berman56) wrote :

I also experienced this exact problem when doing a clean installation of 9.10 (dual boot with Windows XP Professional). After installation, I can boot into Ubuntu over and over. If I boot into Windows XP once, when I reboot it hangs at "Grub loading" indefinitely. Only option is to hold the power button. I must confess I am too timid to attempt the workaround. I went ahead and went back to grub legacy and 9.04 for now.

JohnL (cbarter) wrote :

I've been using 9.04 since I reported this bug in 9,10 beta, but have just installed the final release of 9.10.
I was shocked to find the bug still there.
In MY OPINION, this is so critical that 9.10 should be withdrawn immediately and released as 9.11, 9.12 or whatever once the bug is fixed.
This will do irreprable harm to Ubuntu and possibly Linux in general.

dipo (pdipeppe) wrote :

I have the same problem on dual-boot with XP.
My machine is an HP.
I've read on the web that HP BIOS write in MBR the Microsoft activation code.
After every GRUB2 restore I'm able to run one shot windows.
Clsing windows at startup appear:
GRUB loading.
...
...
20 minute later
grub rescue>

Thanks for your job

PeterF (peter-van-der-ploeg) wrote :

After some more testing (and numerous rebooting) I found the culprit. My laptop (a HP6710b) came with Windows XP professional pre installed. HP added a credential manager and HP protecttools, after removing them I'm able to use Windows without corrupting the MBR.
Why it did work with the old grub and not grub2 I don't know, in my opinion this is a Windows problem (or HP) and not a grub problem.

berman56 (berman56) wrote :

Thanks to PeterF! I confirmed your solution on my HP nc6400 laptop, I deleted HP protecttools and the HP recovery manager installer and now GRUB2 boots normally. Your point is well taken this a problem specific to Windows/HP software. Obviously, it is isn't the responsibility of Ubuntu to support GRUB and Windows XP dual booting. But given the popularity of GRUB and the reality that many linux users dual boot would it really be too much to ask to test Ubuntu/Windows dual boot setups on some standard computers like our HP laptops? Nevertheless, the beauty of linux is that people like you solve these problems just because you care. Thanks again!!!

JohnL (cbarter) wrote :

I too have an HP nc6400.
Before I read PeterF's post I tried to replace GRUB2 with GRUB which works without losing (whatever utility is provided by )HP protecttools or recovery manager.

I went into Synaptic and marked grub 2 for deletion (I WAS worried that grub wasn't an option) but went ahead anyway.

Unfortunately the GNU GRUB-Legacy doesn't have debs or rpms but only source code tarballs but the source won't complile (dependency on binutils_2.9 or later fails because Ubuntu has binutils_2.20 - the old ASCII ordering which caused so much angst with Mandrake 8 all those years ago is still alive and kicking)

Fortunately, after refreshing the archives grub 0.97 appeared alongside grub 2 so the solution is

open synaptic
delete grub 2
refresh archives (if necessary to show grub)
install grub
open a terminal and type sudo update-grub

and everything works without fiddling with the HP utilities.

So far I've booted in and out of Ubuntu and Windows 3 times without problem

JohnL (cbarter) wrote :

Loading grub 0.97 from the ubuntu repositories is Not the solution.
After the 3rd boot into windows its back to the normal Grub 2 failure mode.
Grub 0.97 is some sort of hybrid - the menu.lst file doesn't contain any windows settings - just a GRUB 2 Chainloader setting - see below

title Chainload into GRUB 2
root 4b8177ca-f6fc-4bbb-8989-b8b2a03d19d7
kernel /boot/grub/core.img

replacing this with a standard grub instruction eg

title Windows XP Professional
root (hd0,0)
savedefault
makeactive
chainloader +1

doesn't fix the problem.

As this computer doesn't belong to me, I can't just delete something from Windows so I'll be reverting to 9.04 until the problem is fixed.

berman56 (berman56) wrote :

Before you go to the trouble of installing 9.04, perhaps you could try the experiment of uninstalling Hp ProtectTools and then clean installing 9.10. If it works, I'm sure the owner of laptop won't miss any of the ProtectTools functions (unless their computer is a corporate laptop). If it doesn't work, you can easily reinstall ProtectTools:

http://h20000.www2.hp.com/bizsupport/TechSupport/SoftwareDescription.jsp?lang=en&cc=us&prodTypeId=321957&prodSeriesId=1847703&swItem=ob-60144-1&prodNameId=1847704&swEnvOID=1093&swLang=8&taskId=135&mode=4&idx=0

berman56 (berman56) wrote :

Sorry that link isn't quite right.

The Protecttools comes in a few parts (Security Manager, Embedded Security, Device Access Manager, etc). So you might have to reinstall a few things depending on what is installed and what you uninstall (see the software - security section).

http://h20000.www2.hp.com/bizsupport/TechSupport/SoftwareIndex.jsp?lang=en&cc=us&prodNameId=1847704&prodTypeId=321957&prodSeriesId=1847703&swLang=8&taskId=135&swEnvOID=1093#93211

Djainette (djainette) wrote :

Which particular software in the HP suite is to be removed to fix the grub problem ?

Tomasz Lorek (tlorek) wrote :

It is hpqwmiex.exe to be responsible for the whole mess with GRUB. Just go to service manager and disable hpqwmiex.exe service so that it is not started automatically, I guess you even do not have to uninstall anything.

Djainette (djainette) wrote :

Sorry, but wrong lead, I don't have that service.

tq (tqbw) wrote :

I have a HP xw6200 and also cannot find a service in windows called hpqwmiex.exe

I agree with John L "In MY OPINION, this is so critical that 9.10 should be withdrawn immediately and released as 9.11, 9.12 or whatever once the bug is fixed. This will do irreprable harm to Ubuntu and possibly Linux in general."

This happens also on a Dell Vostro 1520, obviously there is no such HP service. I'm trying to sort out if uninstalling/deactivating the corresponding Dell Tools helps.

Ivo Mans (ivomans) wrote :

On my HP dc5800 microtower I got same problem.
Continuing on JohnL messages: Just downgrading grub also resulted in some 'hybrid' for me. Cleaning up a bit more brought me to the 'oldfashioned' grub. So far (a few reboots) no problem anymore. What I did:

sudo apt-get purge grub-pc
sudo rm /boot/grub/*
sudo apt-get install grub
sudo update-grub
sudo grub-install /dev/sda (replace sda with your boot device!)

Add a section in /boot/grub/menu.lst:
title Windows XP
root (hd0,0)
makeactive
chainloader +1

hha (haujie) wrote :

I can confirm this bug on a Dell Vostro 1320. I dual boot between Windows 7 Professional (x64) and Ubuntu 9.10 (i386). I think I could boot into Windows several times before I started to encounter the bug earlier today. Also, my Dell seems to react a little different than described earlier in this topic. It freezes for about 5 seconds on "Loading Grub." and then immediately reboots itself.

After reinstalling Grub2 with the Live CD, I can now boot into Windows again. I'm looking forward to some results of the "Dell Tool testing" HenningGebhard wanted to do, although I think that I have none of those installed...

PhoneixS (phoneixsegovia) wrote :

I have a HP Compaq dx23000 Microtower and the same bug. I will try to disable the HP ProtectTools.

PhoneixS (phoneixsegovia) wrote :

Okay, after many restarts, I've discovered what caused the corruption.

The program that corrupt the grub (in my case) is "PC Angel" a recover software, more exactly their windows service.

You can disable it by going into Start / Control panel / Administrative tools / Services, search for a service named "PC Angel" and right click it, then click Properties, and select the start type to disabled.

For restore the grub, the only thing you need is to boot into ubuntu and using Synaptic (for example), reinstall grub-pc and grub-common.

I have used the Super Grub Disk (version 2) to launch first into windows for disable PC Angel and then to go into Ubuntu to reinstall grub. If you reinstall grub before disable PC Angel, you MUST run windows in safe mode (F8) for not damage the new grub installation.

I think that PC Angel, can be disabled if you don't need it to do new backup, because you can initiate the restore if you need, and my grub2 detect the rescue partition.

winux (g-vaquant) wrote :

I'm in the same situation with HP 6510b. Even though HP is doing something with MBR, why this did not happen in previous versions with legacy grub ? Maybe something to think about in GRUB2 design and enhancement.

I agree w/ what has been said above: If a new comer faces this.
1- he will come back to windows immediatly
2- he'll make such a noise about "Ubuntu bullshit" ...

I think the developers should find a way to overcome this bad publicity. On my part, I stop recommending Ubuntu from the 9.10 version

Dalek (harluad) wrote :

Same Issue

Disable PC ANGEL fix it.

But WHY grub2 can't deal with PC Angel ?

winux (g-vaquant) wrote :

I wonder why, but I don't have any PC Angel where indicated (I'm the only exception in this post!!).

I solved my problem by uninstalling HP backup and recovery manager, but as Dalek, I wonder why Grub2 is not able to manage what legacy Grub did. Dual-boot worked fine with the same PC on prévious Ubuntu versions!

For new Ubuntu fans, it's not the right way to start. Moreover, Windows 7 is coming and sorry to say so, very promising!! easy to install, easy to use, but .... to be honest, still not able to manage dual-boots apart from Windows systems (as long as I know!)

Ubuntu Developers, that's a challenge, please do something better than windows: manage nicely dual-boot

PhoneixS (phoneixsegovia) wrote :

First I don't have sufficient experience and I haven't investigated this problem, but this is what other says and what I think.

The problem isn't grub2, the problem is HP backup (or PC Angel), it write their things into the boot sector and suppose that this boot is the Microsoft boot that have a fixed size and structure. Grub2 have more size than grub1 and other structure that have windows and then PC Angel write into it deleting Grub2 data (because in this part windows don't have nothing).
The solution that I think that can be do is to detect if it is a HP computer and advise to the user about this problem (I don't know if this is possible).

If you think that this is a big problem, send an e-mail to HP.

PhoneixS (phoneixsegovia) wrote :

I think that we have enough info to star investigating it.

Changed in grub2 (Ubuntu):
status: New → Confirmed
winux (g-vaquant) wrote :

Isn't it possible for Grub2 to use the same room in he MBR as Grub1. I mean send the rest of info as stage 1.5 somewhere else where HP and others will not write.

I think this is a major issue, and send a mail to HP will have no effect. They don't care about Grub2 (less than 5% of the market!).

Because it worked beautifully w/ HP and Grub1, why not to try to use the same space and no more on the MBR. Otherwise a lot of new linux "prospects" will disappear, they are not concerned w/ these writing Pb in MBR. They just want a dual-boot PC which works right away.

IanJ (ian-jeffray) wrote :

Seeing this on a DELL 1600SC server too. Initial install of Ubuntu failed to install the bootloader on the correct disc! Manually changing the BIOS to boot from the disc where grub had been put left me at just a "GRUB Loading." prompt. My first look at Ubuntu and it's failed, miserably.

IanJ (ian-jeffray) wrote :

A 2nd attempt at install yields just "GRUB " and no more. Stuff it. Back to Debian for me.

Christiano (christiano-ifsp) wrote :

I had reported anote problem bug#482757, but now I think I am on the same track that you guys with this problems, after a few numbers of times using win7 - kubuntu, grub fails. nothing to do, only reinstall!
I'm using an Dell Inspiron 1545, without hp protect tools, or whatever.

On Dell Vostro 1520, uninstalling the program Dell Recovery Tool solves the problem.

amgalitz (amgalitz) wrote :

I've been telling many friends about Ubuntu for the last year or so but after this bug got me and my HP nx9420 I'm holding off on suggesting ubuntu to anyone. I think this a shame since Karmic seems to have worked so well on my laptop: finding the wirelss access points, having good touch pad response, screen fonts etc.

 I agree with the suggestion of at least having the installation process check to see if the potential for this exists and warning the user. I was left with a completely unbootable or restartable machine except by shutting off power which has the potential for random harddrive corruption. If I did not have an Acronis TrueImage Image backup to do a MBR restore, I would have lost use of the machine as the windows mbr recovery procedure failed as did the GRUB2 Wiki instructions.

BTW Taking an Acronis TrueImage backup of the windows partion before installation worked very well for recovery. i only needed to restore the MBR section which completed in a few minutes. Of course it took me a few days to think of that solution. In the mean time I had to repair Grub from the USB live session, reboot into XP and loose the machine if i rebooted from XP; quite annoying.

I will now try deleting the offending HP components, but I do like the security they offered. Of course Truecrypt is likely a better choice anyway. cheers

darthomir (telebo) wrote :

Any update on that bug? I need to reinstall grub on a daily basis after using Windows 7, and I have a Dell Vostro 1520 but without any Dell software (at least, no backup tool). I cannot pinpoint the software in Windows that destroys the grub. It fails to load after 5 seconds ("Grub is loading...") and then reboots, as mentioned by someone in a post above. Cheers

Ivo Mans (ivomans) wrote :

darthomir: my downgrade to "grub1" with the procedure as mentioned in this thread at msg #21 has survived dozens of reboots now without changing anything in Windows.

darthomir (telebo) wrote :

Thanks Ivo, I had this in mind, but thought it was counter productive to go back to Grub 1.
For the sake of saving time and maybe for others who will need to do that too, can you quickly detail your steps?
Thanks!

darthomir (telebo) wrote :

Ok, I think you simply have to follow instructions given here: https://help.ubuntu.com/community/Grub2#Reverting%20to%20GRUB%20Legacy
Was wondering also if using EasyBCD and launch Ubuntu from it without GRUB would do the trick?

darthomir (telebo) wrote :

Update: I did follow the procedure to revert to grub-legacy, and it did boot fine in Windows 7 and Ubuntu 9.10. Although the first reboot after running Windows for 1 minute was fine, using Windows the next time for a prolonged time left my grub at the command line the next time I rebooted. As mentioned I have Dell Vostro 1520, but unlike someone mentioned before I don't have any Dell Software installed. I am back to Grub 2, reinstalling every single time after using Windows 7. Should it be the Dell software causing a problem, where can I uninstall it? This is a major problem! Thanks!

PhoneixS (phoneixsegovia) wrote :

darthomir, can you use the "msconfig" utility of windows to disable programs and services of windows selectively and saw what is causing the problem.

You can start disabling all, if run well, enable the half of programs/services, if fail, disable half of programs, else disable the other half, etc.

I know that this is a heavy task, but it can help to solve the problem.

John Ward (automail) wrote :

I'm with that poster in #36, I also have a Vostro 1520 with Windows 7 and every couple of reboots this happens, not every reboot thankfully. I'm using OEM Windows 7 (64-bit), not a Dell version and no recovery software either, very clean install of the basics - Firefox, iTunes, updates, CCleaner, Defraggler, BitDefender Free.

I will take a look at services.msc and see if there's anything obvious like "Windows every-couple-of-weeks-bootsector-destroyer"!

griese (troy-griese) wrote :

Just the latest bit of info I can offer. I've got a Compaq 8710p that does this too. I tried uninstalling each of the HP ProtectTools one at a time to see if I could determine which on was causing the problem. Each time rebooting and fixing using a LiveCD along with the commands "sudo mount /dev/sda6 /mnt" and then "sudo grub-install --root-directory=/mnt/ /dev/sda". After removing all components and eventually the HP ProtectTools Security Manager itself, it turns out that didn't work because it was still booting and hanging on the "Grub loading." screen. Only after I uninstalled the HP Recovery Manager did it finally end up working as it should. Perhaps that's all that was needed in the first place.

R Lorentz (lorentz) wrote :

I'm about to get delivery on a new HP and I'm wondering if I should wait until all this shakes out before I try installing Ubuntu? What do you think?

griese (troy-griese) on 2009-12-03
description: updated
madpit (mad-pit-o2) wrote :

Confirmed on dell vostro 1320. No dell software, msdnaa windows seven and ubuntu 9.10. I tried legacy grub with the very same result.
I was thinking it could be stage 1.5 problem (the mbr itself perhaps was unaffected, windows would write to those 30kb or so following the mbr), but grub2 goes directly to stage 2 from what I've read. Still, about 8MB after mbr I've left unallocated, just to be on the safe side.
Also it wasn't every windows boot, happened after about 24hrs of using both windows and linux. I'm trying to track down windows service that would do that but with no result so far, temporary solution was installing grub2 to a flash drive and booting from usb.

Currently using grub 1 from gentoo and no problems there, but I'll post as soon as (if) anything shows up.

Felix Zielcke (fzielcke) wrote :

Am Samstag, den 05.12.2009, 15:35 +0000 schrieb madpit:
> Confirmed on dell vostro 1320. No dell software, msdnaa windows seven
> and ubuntu 9.10. I tried legacy grub with the very same result.
> I was thinking it could be stage 1.5 problem (the mbr itself perhaps
> was unaffected, windows would write to those 30kb or so following the
> mbr), but grub2 goes directly to stage 2 from what I've read.

GRUB 2 doestn't use anymore the same system as the stage* files in GRUB
Legacy.
It still uses the embeding area between MBR and first partition.
core.img is the file which ends up there and is much bigger then
stage1_5 from Legacy.
Because it not only contains the filesystem module to access /boot/grub
but also the GRUB kernel with the rescue mode.

--
Felix Zielcke
Proud Debian Maintainer and GNU GRUB developer

Chris_Z (chris-ustation) wrote :

Encountered this on Samsung N120 Netbook.
It has factory installed Samsung Recovery Solution III.

Googled that it does write behind MBR without checking.
Uninstalled Samsung Recovery Solution III (from Windows).

So far so good, no more GRUB 2 corruption.

Stopping the PC Angel service in Windows - as suggested by PhoneixS - and reinstalling GRUB2 from the live CD solved the problem on my old HP 510 laptop.

Despite of the complicate guides one can find on the web, reinstalling GRUB2 from live CD is very simple. After booting, open a terminal and type:

sudo mount /dev/sda7 /mnt
sudo grub-install /dev/sda --root-directory=/mnt

changing sda7 with the disk partition containing your /boot directory.

Thank you to PhoneixS and everyone else who contributed.

Chris_Z (chris-ustation) wrote :

Spoked too soon.
After a week, the problem recurred. There are more factory utilities to uninstall.

Martin J Hooper (martinjh) wrote :

Also not working on a bog-standard PC - None HP Dell etc. Same symptoms as noted above.

Have 2 physical discs in the computer as a workaround Ive installed Grub into the MBR of Disc 2 and boot by using the Boot Menu in BIOS as a work around.

Mihai Capotă (mihaic) on 2009-12-18
Changed in grub:
importance: Unknown → Undecided
status: Unknown → New
Gildas35 (gigi-chabot) wrote :

I have the same problem on a Dell Vostro 1520.
After several (or one long) boots on Windows, Grub bugs, printing "Grub loading..." and rebooting by itself.

Though I got this laptop without any operating system and thus no software. I installed Windows XP SP3 from one of my personal Install CDs. I don't have any PC Angel or Dell Tools (except for the touch pad manager :).

PhoneixS (phoneixsegovia) wrote :

Do you have an antivirus installed?

Gildas35 (gigi-chabot) wrote :

Yes I do : Avira AntiVir Personal

Gildas35 (gigi-chabot) wrote :

I checked the options of my Antivirus and found this !
[url]http://img37.imageshack.us/img37/3854/antivir.gif[/url]

It is the Virus Scanner configuration window and the right, is written :

-Other settings-------------------------------
¤Search drivers boot sector
¤Control master boot sectors

Thus it seems the my antivirus scans the master boot record and as it finds something strange (Grub), it kind of deletes it and make my Boot bugged.

PhoneixS (phoneixsegovia) wrote :

Can you contact with Avira AntiVir Personal support to see if they can trust the grub?

Gildas35 (gigi-chabot) wrote :

I don't have the Linux spirit yet, I don't feel I can change things but you're right, it's a very good idea !
I will write them as soon as possible.
Especially as it seems to work !

Yet there is something I can't figure out : why is this happening to every Dell Vostro 1X20 ?!! I'm pretty sure I am the only one to use this antivirus, or at least one of the only ones.
Does Vostro owners have another software that reacts as my antivirus ?...would be a strange coincidence...

Gildas35 (gigi-chabot) wrote :

Bad news : this morning, without reactivating the AntiVir scan options, I got the same problem...

Good try...

Sparx (pjsparx) wrote :

applies to dell Inspiron 11z Windows 7 Home Premium 64, Ubuntu 9.10 x86_64.

Very aggravating. If I were a Noob, I'd be panicked right now. As is, I'm not looking forward to re-installing grub every time I reboot into windows.

Applies also to HP NX9420 (model: rh450ea)
And there is NO difference whether window XP sp3, vista 32/64 bit or 7 is installed.

I also have Avira AntiVir Personal Free but I can almost 100 % assure you that the problem is not in the anti-virus software. I'll recheck tomorrow (I'll uninstall it, install GRUB2 again with the liveCD and then load windows again without anti-virus application. Is it OK?).

C. F. Howlett (cfhowlett) wrote :

Ouch. I just met this monster. I bought a Dell Inspiron 1545 a few weeks ago with Win 7. Quickly and happily rushed home, burned Karmic and installed under Wubi. As we all know, THAT was a mistake. Anyway, I finally bit the bullet and dual-installed Karmic w/o wubi. After weeks of hair pulling, I finally got the bcm43 wireless fix and then last night, no warning, I got the dreaded "?t" symbol not found error. As I was without wireless, I re-installed Karmic. Note: I was effectively blocked from both Karmic AND Windows! What a HUGE p.i.t.a.

Between the wubi/grub fiasco and the eternal battle to achieve wifi, I agree that this release should have been held back. Neither problem does linux/ubuntu any favors and the combination leaves a really bad taste. But breaking the bootloader is criminal. At this juncture, I can't open my mouth to advocate ubuntu to my friends and I'm on the verge of giving up ubuntu myself. And I'm an ubuntu lover!

Fix your stuff people. It should NOT take hours and hours or practically a computer user certificate education to use your product.

Aaron Peromsik (aperomsik) wrote :

@C.F. Howlett: I am almost afraid to say this in case I am falling into the same trap as #57... but I have an Inspiron 1545 and Grub has not been harmed roughly since the day I uninstalled McAfee Security Center.

machinist (daviddownsjr) wrote :

I can confirm that I too am having this issue. Bought a Gateway NV7802U, installed Karmic Koala on a second internal physical drive. After one or several boots of windows 7, then back into Ubuntu, the grub hangs at "Loading Grub". Haven't tried any of the fixes yet, but the HP and Dell fixes obviously wont apply.
Going to try this:
https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/492092
hopefully it will work.

Changed in grub2 (Debian):
status: Unknown → New
Lancman (brantley) wrote :

I too have fallen foul of this issue on a Compaq NX6325 laptop. Windows XP / Ubuntu 9.10.
Wasted several hours trying to get my computer functional again. In the end the only solution wast to uninstall Ubuntu and go back to XP.
That in itself was no easy task as there appears to be no official information on how to do it. Crazy.
Just wondering, would I have the same issue with Mint 8 or does it only happen with Ubuntu?

Felix Zielcke (fzielcke) wrote :

Am Freitag, den 01.01.2010, 13:42 +0000 schrieb Lancman:
> Just wondering, would I have the same issue with Mint 8 or does it
> only happen with Ubuntu?
>

It happens as long as you keep that Compaq preinstalled Windows XP.
That has nothing to do with some specific Linux Distribution.
--
Felix Zielcke
Proud Debian Maintainer and GNU GRUB developer

Lancman (brantley) wrote :

OK, thanks. That's a shame. :(

Howard Teng (trumpet-205) wrote :

I have a question though. I have a HP s3600 desktop with XP x64 (OS does not come with HP, I own XP). Will this bug affect me? Or maybe I should install 9.04?

jaktar (superdragonpoop) wrote :

I'm not certain this is part of the same issue but I'll post here for my sanity and anyone else who may be having the same issue.

I was using Grub 2 1.97 beta~4 with Ubuntu 9.10 and Vista. Prior to switching to 9.10 I was running 8.04 with GRUB since beta without issue. My problem is similar in the respect that I can boot to Vista or 9.10 fine, but upon switching I've had a couple of different problems. First, during reboot, my primary HDD would fail to boot and there was an audible "clicking". I naturally thought the HDD was failing. The drive is a WD2500JD. Nearly every time the clicking happened the drive would report itself as a "WDC ROM MODEL-HAWK" and would be unbootable.

After a few power cycles I was able to get the HDD up and running and performed a backup. I attempted to sleep the computer in Vista and would sometimes blue screen upon waking. My Ubuntu loader/partition are on a completely separate drive and were unaffected by any of this. I've since restored the Vista boot loader and the drive has been fine since.

I realize that the GRUB2 shouldn't affect the ability of the drive to boot and should have no ability to cause the drive to basically report a ROM failure but I can't wrap my head around all of the problems disappearing after removing it and going to the Vista loader. I'll give this current setup a couple of days to gather some historical data and then put GRUB back on for further testing.

My specs:
Asus P5Q mobo
1x WD2500JD
2x WD2000JB
E8400 Core 2 @3.0Ghz
Vista 64, Ubuntu 9.10 x64

Skarjune (david-skarjune) wrote :

Yes, same issue on HP Compaq nx6325, which had been running grub with WinXP SP3 and Suse 10.1 fine. Tried many of the remedies here to no avail over hours of wasted time. So, went with Ubuntu 9.04 as the solution.

If Grub 2 for dual-booting breaks something that had been working in prior versions just fine, can we call it a bug? Telling users to complain to HP or Dell or Microsoft seems counterproductive, as they are not responsible for grub. Also, Ubuntu 9.10 seems to justify the claim that Linux is not ready for prime time, which is a shame.

JohnL (cbarter) wrote :

Re Howard Teng
I have Ubuntu 9.10 installed on a desktop machine without problems.

Though I did upgrade from 9.04 (instead of a clean install on a newly formatted partition) and when prompted, I opted to keep my original menu.lst - when 9.10 boots it starts with a 9.04 splash screen then switches to the 9.10 splash screen half way.

So I'm not really sure what bootloader I've got but it is 9.10 when it gets running.

Howard Teng (trumpet-205) wrote :

Re JohnL,

If you upgrade from 9.04, then you are still using grub legacy. Maybe I should do that to avoid grub2 for now.

Lorna Davis (ledc2c) wrote :

I've got this problem too, on a Toshiba P300-134 so it is not just related to HP and Dell.

Trying to dual-boot Vista and Ubuntu 9.10

All previous dual-boots worked fine (Been doing it for many years) for the .05 % time that I need a Win App :-(

Chris M (chmoser) wrote :

Dell Studio 1747, Windows 7 (with Dell Data Storage and MacAffee), Kubuntu 9.10, same issue...

1) Several Anti-Virus and Recovery/Backup system were mention above. In Windows, I could life on the windows side without the Dell software, but would feel a bit unsafe without any anti-virus. Which software is now causing the issue, i.e. need to be deactivated? Any final conclusions?

2) I feel this issue needs to be solved at Grubs on the long run. All those workarounds are too complicated for non-experts. It seems that many systems are effected, finding that issue is scary (not being able to boot any OS anymore...), and resolving it is close to impossible for newbies. Are there any efforts to fix it? Personally, I will wait for an update before reinstalling Kubunt 9.10.

Howard Teng (trumpet-205) wrote :

I feel that Ubuntu should re-release 9.10 with grub legacy. Until this bug has been resolved, we should continue to use grub legacy by default.

PS. Why the importance of this bug is undecided? This is critical too me.

It is critical according to me, too!

bean (bean123ch) wrote :

Try BURG from my ppa repository, first add these lines to /etc/apt/sources.list:
deb http://ppa.launchpad.net/bean123ch/burg/ubuntu karmic main
deb-src http://ppa.launchpad.net/bean123ch/burg/ubuntu karmic main

Then install with:
sudo apt-get update
sudo apt-get install grub-pc

Then, use the --safe option when installing to mbr, for example:

sudo grub-install --safe /dev/sda

This should solve the issue.

@ bean: I've just followed closely the steps and now the system is not left with the message "grub loading" but now my Windows XP sp3 installation cannot be booted even only one time. When "win xp" is chosen in the GRUB boot list, the system is restarted after 1-2 seconds after which you see the GRUB menu again.

The Ubuntu 9.10 installation can be booted with no problems.

bean (bean123ch) wrote :

@Xtigyro

Thanks for the feedback, what's the menuentry that boot windows ?

bean (bean123ch) wrote :

Oh BTW, is the windows partition active ?

You're welcome, bean.

No, the active partition is 'dev/sda3' (fs: ext3; this is my '/boot' partition).

And the GRUB menuentry is:

insmod ntfs
set root=(hd0,1)
search --no-floppy --fs-uuid --set 104859aa48598efa
drivemap -s (hd0) ${root}
chainloader +1

I've checked and the "/dev/disk/by-uuid/" for "/dev/sda1" is:

lrwxrwxrwx 1 root root 10 2010-01-12 13:45 104859AA48598EFA -> ../../sda1

I made a screen-shot of my partition in 'GParted'.

bean (bean123ch) wrote :

perhaps you can change the menuentry as (suppose your windows is hd0,1)

set root=(hd0,1)
chainloader +1
boot

you can also set the active partition to windows.

ok, i'll make it the 'active' partition but what to change to:

"set root=(hd0,1)
chainloader +1
boot"

now it is 'root=(hd0,1)', isn't it? in my previous post my current configuration is pasted:

"insmod ntfs
set root=(hd0,1)
search --no-floppy --fs-uuid --set 104859aa48598efa
drivemap -s (hd0) ${root}
chainloader +1"

or your proposition is to completely remove the third line starting with "search --no-floppy....."?

bean (bean123ch) wrote :

search is not needed if you know what the partition is (you can confirm it using ls in grub shell).
driemap is not needed unless windows is in a second disk.

Therefore, the mimimum commands required to boot windows is:

set root=(hd0,1)
chainloader +1
boot

You can enter them in grub shell to see if it boots.

Nope, the same result: the system just restarts and GRUB loads again (and 'dev/sda1' is the active partition as you advised me).
If there is sth else, feel free to ask me.

Kind regards,
Miro

bean (bean123ch) wrote :

On Wed, Jan 13, 2010 at 10:55 PM, Xtigyro <email address hidden> wrote:
> Nope, the same result: the system just restarts and GRUB loads again (and 'dev/sda1' is the active partition as you advised me).
> If there is sth else, feel free to ask me.

Hi,

Ok, you can try this one. Uncompressed the attachment and copy
kernel.mod to /usr/lib/grub/i386-pc, then run grub-install to install
to mbr.

--
Bean

Now when you try to boot the windows '/dev/sda1' partition, the system is not restarted automatically and stalled with the message "GRUB". If you try "ctrl+alt+del", now it CAN be restarted.

There is no matter, if you try the "normal" boot or the aforesaid:
set root=(hd0,1)
chainloader +1
boot

*It does not matter...

bean (bean123ch) wrote :

On Wed, Jan 13, 2010 at 11:35 PM, Xtigyro <email address hidden> wrote:
> Now when you try to boot the windows '/dev/sda1' partition, the system
> is not restarted automatically and stalled with the message "GRUB". If
> you try "ctrl+alt+del", now it CAN be restarted.
>
> There is no matter, if you try the "normal" boot or the aforesaid:
> set root=(hd0,1)
> chainloader +1
> boot

Yeah, I believe I've found the real cause, try the new kernel.mod from
attachment.

BTW, you don't even need to use the --safe option anymore.

@bean: The same error in exactly the same way, man...

bean (bean123ch) wrote :

On Thu, Jan 14, 2010 at 2:04 AM, Xtigyro <email address hidden> wrote:
> @bean: The same error in exactly the same way, man...

This is quite strange, I guess grub legacy boots ok ?

In Jaunty - yes. And I've had no problems with other distros, which use GRUB legacy.

bean (bean123ch) wrote :

@Xtigyro: perhaps the windows disk signature has been changed, you
could try the following steps:

1, Use windows installation disk to fix mbr, this would allow you to
boot into windows
2, add grub4dos to boot.ini, use it to boot into ubuntu.
3, In ubuntu, use grub-install with --safe option to install to mbr.

See if this works.

There is no way to uninstall GRUB under Linux??

bean (bean123ch) wrote :

> There is no way to uninstall GRUB under Linux??

No, grub doesn't store the original mbr.

BTW, you can try the latest package 1.98+burg.20100114-1~ppa6. I made
some adjustment, and now --safe option is called --alt, so you can use
this command to install to mbr:

grub-install --alt /dev/sda

So many new features are being implemented in GRUB 2, and there is not a basic 'uninstall' option...

The new version of the package does not bring any changes to the problem.
I will uninstall GRUB (though it is difficult to do so, because I have a 'SATA' controller and win xp does not recognize these drives. I'll have to wipe out my entire Windows installation with my HP Back up DVDs).

bean (bean123ch) wrote :

> So many new features are being implemented in GRUB 2, and there is not a
> basic 'uninstall' option...

You can use dd to copy the first 63 sectors of disk to a file before
installing grub, and copy it back if you want to restore.

bean (bean123ch) wrote :

@Xtigyro

I take a closer look at the previous steps, I think the one that
breaks is the very first grub-install, while the active flag is in
ext3 partition. After that, no matter what you do, the result would be
the same. Windows keeps a mapping of partition and drive letter in the
registry. When you use grub-install to install to mbr, it invalidates
the mbr checksum, and windows rebuilds the mapping. But as the ext3
partition is active, it became C:\, and the original windows become
D:\. this would cause problem as some system files can't be found. It
doesn't matter if you change the active flags back or rerun
grub-install, it's the same mbr, and windows won't refresh the mapping
again.

@bean:

OK, thanks for the great explanation. I've made progress, too. I found a way to boot the Windows installation (with this nice application: http://www.paragon-software.com/home/hdm-personal/ ) without touching the MBR of the system.

Now, is there a way to clean the MBR inside Windows or the only way is to boot Win XP installation disc (because I found also some modified XP discs in which are included SATA drivers)?

1. Click Start
2. Click Run
3. Type CMD and hit ENTER
4. From this dos box command line:

FDISK /MBR

Will this method work? (:

boboland (boboland) wrote :

Hi,

I have the same problem after restarting Windows with Ubuntu 9.10
@bean: I used MbrFix --> http://www.ambience.sk/fdisk-master-boot-record-windows-linux-lilo-fixmbr.php
it's free.

bean (bean123ch) wrote :

> 1. Click Start
> 2. Click Run
> 3. Type CMD and hit ENTER
> 4. From this dos box command line:
>
> FDISK /MBR
>
>
> Will this method work? (:

This used to be the way to restore mbr, but I don't think it works any
more (at least not in my windows). But you can use the restore console
from windows installation cd, there is a fixmbr command.

bean (bean123ch) wrote :

> I have the same problem after restarting Windows with Ubuntu 9.10
> @bean: I used MbrFix --> http://www.ambience.sk/fdisk-master-boot-record-windows-linux-lilo-fixmbr.php
> it's free.

Yeah, thanks boboland, this method works.

@bean:

So I modified a XP cd and included my Intel SATA drivers. Fix the mbr with 'fixmbr' and exited the XP recovery console. After the system restarted, GRUB was there again but seemingly there are only some parts of the GRUB code. Now the system hangs with "GRUB" message again as if Windows is booted and the original bug is reproduced, the difference is that the system actually can be restarted once (only once, yeah, after every second try and respectively hang of the system, it can only be powered down through the power button...).

Afterwards I also tried the program aforesaid:
http://www.ambience.sk/fdisk-master-boot-record-windows-linux-lilo-fixmbr.php
And it was in vain, no real and visible change to my actual MBR state.

@bean:
And the problem now occurs right away the BIOS is loaded (there is no way to boot any OS).

jako (day-dennis) wrote :

While I appreciate all the effort Xtigyro and Bean are putting in to solving Xtigyro's problem, I wonder if Launchpad is the place for this barrage if tight, short exchanges of trail and error. Please do not take offense, but are these really relevant to the bug?

Dragan Radevic (dragan) wrote :

I have HP pro book 4150s and I had the same problem with grub2. I disabled PC Angel on Windows XP and then reinstall grub2.

After that everything is working fine.

Also I have removed my recovery partition to skip eventually future problems.

@bean:

So after I followed your last advice (which you mailed me personally) and after the full re-install of GRUB using 'ppa:bean123ch/burg' packages and then on the HDD in the way you explained aforesaid ('grub-install --alt /dev/sda'), let me tell you the good news that on my HP NX9420 rh450ea the bug is solved now! :)))))))

bean (bean123ch) wrote :

> @bean:
>
> So after I followed your last advice (which you mailed me personally)
> and after the full re-install of GRUB using 'ppa:bean123ch/burg'
> packages and then on the HDD in the way you explained aforesaid ('grub-
> install --alt /dev/sda'), let me tell you the good news that on my HP
> NX9420 rh450ea the bug is solved now! :)))))))

Nice to know. Thanks a lot for your patient testing, although there
are detours, I'm glad that it finally works.

kaspin (kaspin) wrote :

I have an ASUSEEE with WinXP SP3 installed on the 4GB SSD, and Ubuntu on an SDHC card (8GB or 16GB - results are the same). With Grub1 (eg Ubuntu 8.40) boot time is 1 minute 45 seconds, with Grub2 (Ubuntu 9.10 - last updated today) the boot time is 4 minutes 30 seconds, whether I choose WinXP or Ubuntu! The strange thing is, that if I use the USB-Installer-for-Ubuntu.exe found on pendrivelinux.com to install Ubuntu in persistent mode on an SDHC card, the boot time goes down to 2 minutes 20 seconds. Just to complete the picture, my ASUSA6000 has a 60GB HDD which contains the same WinXP and Ubuntu 9.10 installations, boots in under 1 minute.
The obvious conclusion is that Grub2 can't handle dual booting if that involves separate disk drives. I have been on another forum trying to solve this without success, and saw somewhere that an update to Grub2 had been issued on 18th January which may fix the issue.....
I've already spent many many, hours trying to resolve the problem, but as a computer semi-illiterate, without success. Is there a solution?
kaspin

mcdrwal (matrixw) wrote :

I have DELL 1720 , grub version 1.97 beta - from the newest kubuntu 9.10

First i install win7, next linux mint and linux kubuntu. I use all
system. I used win7 realy rare, one time in month. One time after closing win7 i saw black display. I had to repair grub from live cd. It was repeated 4 time. Last time I was sure of reason this error . When win7 was download updates and start install it during closing system. During that windows have to write something in mbr, i think so, After restarting i see in the top of display "Grub loading .." and nothing happen. After 10 reconds waiting computer is automaticly reboot, and the same all time, as long as i don't power off.

So Update of windows broke mbr. I advise turn off update in windows or make all updates in one time.

John Ward (automail) wrote :

I reverted back to Ubuntu 9.04 and I STILL suffer this problem. Am I the only one, I didn't read every post above.

I have an OEM 7 installed (official Microsoft, no recovery software attached) and 9.04. Every few Windows 7 reboots my Grub is beaten up and it's legacy grub. Is it a Vostro 1520 problem.

Alex Pinder (la-dend) wrote :

My computer is self-built and I have this problem, initially I thought it was to do with the order in which the HDs were loading but it wasn't. My screen stops at Grub loading... If I remove the Windows HD and reinstall Grub via the live CD, so that it's just Ubuntu, it works fine. Stuff like this makes me want to take part in helping contribute to code, seems like a major one here yet 4 months on it's still not fixed. If I get time I'm going to start contributing.

Zach Detton (zach.detton) wrote :

I recently did a fresh install of Xubuntu 9.10 and am now Dual Booting Linux and Windows 7 on my Dell Studio XPS Laptop. I have no recovery partition for Windows either. It was working fine at first and then after recently upgrading to the latest GRUB, it began having this problem you are all describing. I've found that after fixing it with a Live CD I can boot back and forth between Linux and Windows just fine (Including from Windows back to Linux). It's not until I completely shut my computer down and turn it back on that it starts rebooting again.

After reading through the previous comments, I'm going to check the settings in my BIOS and see if I can find anything. If not then I guess I'll have to revert back to GRUB Legacy. I'd rather not because I already made my menu look so cool. :-(

Ahmad Baei (ahmad-baei) wrote :

In Dell Vostro 1320 , this error cause with "Softwar Manager" or "Software Updates" that installed along with DigitalPersona .
to resolve the problem you should go to

C:\Documents and Settings\All Users\Application Data\Macrovision\

and delete all files(espesially ISUSPM.exe).

I see a variety of hardware listed here and a few mentions of Dell Vostros. I'm using a Vostro 1520 dualbooting Win7/Ub 9.10 and was experiencing this MBR problem as well as some erratic behavior in Windows 7 (intermittent keyboard and mouse drivers not loading, display drivers not loading, the same problems I had with Ubuntu 9.04).

During the course of troubleshooting my Windows issues I updated the BIOS from A03 to A07. Ever since then both my Windows issues have been resolved and the MBR is no longer getting hosed every few boots.

So for those still having this problem, check your manufacturer's website for any applicable updates...you may be barking up the wrong tree.

Maybe the same problem in in Lucid Beta1. After booting Windows my system again was left with useless MBR.

The system message this time is not "GRUB LOADING" as it is in Karmic but
"no module name found
Aborted. Press any key to exit."

After hitting "Enter" the message: "Non-system disk or disk error replace and strike any key when ready" appers.

I see no activity after my last message.
Is it a good idea to file a new bug report for Lucid Beta1 (though the problem is similar here)?

pippom77 (pippo-nauta) wrote :

I have a new Dell Studio 1558: the problem persists.

I installed Lynx beta 1 and very very very often Windows works on the MBR corrupting Grub2 files (maybe the OS thinks that Grub2 is something like a rootkit).
Someone refers that by recurring to the downgrade to Grub-Legacy the problem won't occur any more.

Having read a lot of posts in a lot of Forums, I think I can state that the problem regards most of new Dell laptops.

I think that if a previous version (Grub legacy) solves the problem, it would be useful to modify the structure of
Grub2 in order to gain again the compatibility with Windows. Sure, the problem regards the way the Microsoft OS treats Grub2, but in my opinion it would be a pity not to try to fix this drawback, in view of the fact that with Grub-legacy all works fine: it would by difficult for a new-future Linux addicted to fall in love with Ubuntu if one of the first step after installation is re-write the MBR...

I think that the idea of Miro Hadzhiev, filing a new bug for Lucid, is great!

Ignace (igfo) wrote :

Dell Vostro 1720 - Vista/Ubuntu 9.10

Been having this problem too for a while and it always happened on Sunday somewhere between 12-17h.
If Vista was on during those hours, I was 100% sure I would have to repair GRUB.
It would just stay on "grub loading" for a couple of seconds and reboot.
All the other days seemed ok, even when leaving windows for a long time... Tried the same routine on Saturday/Sunday and only Sunday gave me problems somehow.

Tried removing some Dell software in a couple of steps (like that ISUSPM.exe), but still the problem persisted.

Last week I updated my BIOS from A02 to A08 (a bit like Johnny Dopefish: https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/441941/comments/117) and it seems like the problem is gone for me now.

Ignace (igfo) wrote :

Sorry, seemed to linked to a wrong comment in my previous message. I meant https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/441941/comments/116.

pippom77 (pippo-nauta) wrote :

Thanks Miro! I run to subscribe to the new bug address! :)

Charles J (5iveblades) wrote :

I'm frustrated that this hasn't been given a high level of importance.

I'm running Mint 8 on a Dell Vostro 1720. I'm running Win 7 Enterprise 32-bit. It is a clean install on a formatted drive...no Dell software, no installed services, and my antivirus is NOD32. This happens on every boot of Windows, whether I choose restart or shut down, whether or not changes are made to the system. I've upgraded my bios, still no dice. Every time I try to boot after running Windows I have to reinstall Grub2 from the live CD.

Stop trying to make this about Windows or Windows programs! Legacy worked fine, so in the upgrade from Legacy to Grub2 you lose a critical feature! If a basic install with no custom options renders a users machine unusable after exiting Windows, then this is a serious bug and it shouldn't be the users responsibility to get it fixed.

Debian has assigned this bug an "important" severity (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550702), it should be here, too.

I highly recommend to everybody to install BURG and to overwrite GRUB2 installation.
The bug DOES NOT occur in BURG (which is a re-write of GRUB2). This is the how-to:
http://code.google.com/p/burg/wiki/InstallUbuntu

Kind regards,
Miro Hadzhiev

But you should use this line instead (when installing BURG to the MBR of your system):

sudo burg-install --alt "(hd0)"

I wrote a simple guide in my blog which resembles the aforesaid how-to:
http://syndofyouths.blogspot.com/2010/04/off-topic-i-want-to-address-boot-loader.html

Sorry for adding one more comment (there is no edit option in Launchpad....) but the guide in my blog is now hosted here:

http://syndofyouths.wordpress.com/2010/04/12/i-want-to-address-the-boot-loader-problem-in-ubuntu-9-10/

Kind regards,
Miro Hadzhiev

in my computer i do not boot to windows. there are 2 hard disks. grub2 checks both disks long time, doing much moving inside hdds, and hdd led lights that time.
in another computer hdd led does not light but grub2 loads 1 minute, during that time only a text cursor, underline, at left top corner. in that computer i have just now tried to set GRUB_DISABLE_OS_PROBER=true , but effect is only windows disappeared, but same 1 minute of waiting.

i said "in another computer hdd led does not light" - no, it also lights.

on that second computer behavior is same after bootrec /fixmbr of windows 7!

For those experiencing this problem on a Dell computer, another likely suspect would be Dell DataSafe Local Backup, as per this bug:
https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/482757

amy (a7mdyassin) on 2010-06-09
Changed in grub2 (Ubuntu):
assignee: nobody → Ahmed Mohammed Yassin (a7mdyassin)
assignee: Ahmed Mohammed Yassin (a7mdyassin) → nobody
amy (a7mdyassin) wrote :

this thing drives me crazy.. every reboot fro windows requires a liveCD re-installation of grub2 :@ thats pretty silly...

bean (bean123ch) wrote :

For those that are still affected by this problem, you can solve it with burg:

Install instruction for ubuntu:
http://code.google.com/p/burg/wiki/InstallUbuntu

The trick is to use --alt option when installing to mbr:
http://code.google.com/p/burg/wiki/Troubleshooting

Philip Muškovac (yofel) wrote :

Setting High as this results in being unable to use the affected pc at all.

Changed in grub2 (Ubuntu):
importance: Undecided → High
amy (a7mdyassin) wrote :

just tried burg.. again the liveCD...

amy (a7mdyassin) wrote :

oh sorry i didn't noticed the alt option.. it worked for me, thanx @Miro..

You're welcome, amy!

I believe that this bug is EXTREMELY important. It should be fixed as fast as possible.

There is no way to leave a system unbootable and hope that the regular users will come back and try Ubuntu again some sunny day. Even stay with Linux at all (when the best desktop Linux distro corrupts your computer and make it completely unusable).

EDIT:
* (when the best desktop-oriented Linux distro corrupts your computer and makes it completely unusable)

Stephan Saint (ssaint04) wrote :

Well, this one's real bad. I'm running Lucid and WinXP Home on an Acer Aspire One D250. It doesn't matter if I use GRUB2 or BURG (which is based on GRUB2, as we know), anytime I boot windows, it corrupts my bootloader and I get this bug rearing it's ugly head. As far as I can tell, there is nothing installed in Windows that should be reading or writing to the MBR (I removed all the crapware that Acer calls their "empowering technology" and my antivirus, AVG free, does not scan the MBR).

A similar setup on my desktop (an Acer Aspire running Lucid and Win7 Pro x64) has no issues whatsoever.

This is certainly frustrating, I don't want to have to constantly repair or reinstall GRUB. Looks like I'm goin' back to grub-legacy, unless anyone else has any ideas?

tags: added: i386
tags: added: amd64
Philip Muškovac (yofel) on 2010-06-28
tags: added: karmic
zhilec_vershin (freefloating) wrote :

This problem also exists with Grub legacy.
I had the issue with Grub 2 on my Dell Vostro1300 laptop. Recovery instructions on grub.enbug.org/Grub2LiveCdInstallGuide worked very well (thanks a million to the author, I really appreciate this!). However it was just not feasible to reinstall grub every time after working with Windows (Even I needed Windows just every other day).

I thought to get rid of this problem by downgrading to grub Legacy. I reinstalled one of the previous Ubuntu distributions which came with grub legacy, and then upgraded one by one to Lucid Lynx (yes, I did it that complicated).

To no avail - problem is back after second or third time that Windows and its programs grabbed their internet updates. No idea which piece of software exactly is the grub eraser ...

I guess I'll check out if my old notebook still can run Windows, and will keep my main notebook for Ubuntu ...
Quite frustrating ...

Changed in grub2 (Ubuntu Maverick):
assignee: nobody → Colin Watson (cjwatson)
drgoplayer (tsuki190) wrote :

Grub2 problem with Adobe Software

This problem is more widely spread than HP recovery software or Dell.
I have been having the same symptoms trying to install Adobe software
on a dual boot system. I am currently running Lucid with Grub2 and
Windows XP. I believe the problem actually occurred earlier while running
Intrepid. I have also seen this Adobe problem mentioned in another forum.

Here is the situation: If I install Adobe -- for example Acrobat 7 or 8,
it is fine while in Windows. When I reboot Grub is gone. So far I am repairing
frequently with Supergrub, or just leaving Supergrub in the cd drive and booting
with it! Now any use of Acrobat in windows will destroy Grub, and I have
to use Supergrub to reboot.

I have discovered posts which indicate that Adobe software writes licensing
data to the MBR -- Flexnet. So this is comparable to the situation mentioned
with HP. Adobe modifies the MBR, and Grub2 won't boot.

Apparently Grub2 is too big or something. Since this problem is
affecting something as widely used as Adobe, I believe it is serious.
Many people only keep windows to run Photoshop, etc. I think we
can also expect that other software will also write to the MBR and
cause these problems.

I have yet to try the Burg solution listed here, but will try it next. So far
my main solution has been to install CS3 on a completely separate
hard drive, open the computer, and manually switch drives when I use
Adobe! A little awkward.

Colin Watson (cjwatson) wrote :

It would be very helpful to me if people affected by this bug could follow the directions from Felix Zielcke in comment 4, and attach the results here. This is much more useful than describing your hardware or explaining again how serious the bug is! :-)

The one person to provide this information did so in comment 6. Thank you. His information indicates that offsets 0x4A00 to 0x4BFF are overwritten. If other people's results are consistent with that (and that's a big if, which is why we NEED the data requested in comment 4), then the problem is NOT that GRUB 2 is doing something dramatically different from how GRUB Legacy did it, or putting its information in a different place. The problem is:

  GRUB 2's core image is more useful than GRUB Legacy's Stage 1.5, and is thus bigger.

This puts us in a very difficult position. The enhancements are real, and we're using them in Ubuntu; they allow us to do such things as making the boot loader reliable on multiple-disk systems. If you were affected by that unreliability then this is a pretty big deal! Thus, simply going back to GRUB 2 is not an option for us. The relevant change in BURG (which, by the way, is not a total rewrite of GRUB 2, but a single-developer fork which sees relatively little development effort compared to GRUB 2) is that it provides a --alt option to grub-install and grub-setup which forces the use of blocklists: in plain English, that means that rather than putting the core image in the gap between the master boot record and the first partition, it instead remembers the list of blocks where /boot/grub/core.img currently lives on disk. That will become unbootable in a different situation, namely when your filesystem decides to move /boot/grub/core.img around for some reason (filesystem recovery, defragmentation, performance optimisations, etc.). Now, presumably those people advocating BURG aren't as badly affected by that, which is fair enough, but I hope people see why I hold the position that it's not obvious that it's worth exchanging one problem for the other.

At this point, I don't want to make any change without more hard data on exactly what these Windows tools are doing. There seem to be several tools involved. Perhaps they're all doing different things, or perhaps they have something in common. Maybe we can spot particular signatures and work around them somehow, e.g. by skipping the relevant sectors, for instance. But I can't do anything until I know exactly what's going on. So, at the risk of repeating myself again - if you're affected by this bug, please provide the information requested by Felix Zielcke in comment 4, following the example set in comment 6. Thank you.

Colin Watson (cjwatson) wrote :

0x4A00 to 0x4BFF is sector 37. http://www.woodmann.com/forum/archive/index.php/t-7462.html indicates (though I don't see hex dumps to confirm) that Adobe's Flexnet writes to sector 32. So at that level, there are definitely multiple pieces of software at work in different ways.)

Dear application authors: the MBR gap is NOT YOURS. (Sigh. I don't expect this to have much effect.)

Colin Watson (cjwatson) wrote :

I have first-draft code to detect signatures of particular programs in the post-MBR gap and avoid the relevant sectors when writing the GRUB core image. I'd like to inspect some data dumps first to confirm that this strategy will be viable, and of course gathering the signatures will probably be an ongoing process, but at least the necessary code in GRUB does not appear to be very difficult.

Alexey Osipov (lion-simba) wrote :

AutoCAD 2009 or its licensing service is also corrupt GRUB loader.

Colin Watson (cjwatson) wrote :

On Sat, Aug 28, 2010 at 06:44:38AM -0000, Alexey Osipov wrote:
> AutoCAD 2009 or its licensing service is also corrupt GRUB loader.

Please provide the information requested in comment 4.

Ralph Ulrich (eulenreich) wrote :

@Colin, is this attempt of yours - to run after that misbehaving application developers - really a clean solution. Wouldn't it be great to have an additional feature for all boot capeable Linux filesystems:

- keep the first 32Kib empty and reserved for grub if there is an additional flag (boot) set when mkfs

This flag could be the default for all partitions on non embedded,tiny systems.

Colin Watson (cjwatson) wrote :

On Sat, Aug 28, 2010 at 02:21:17PM -0000, Ralph Ulrich wrote:
> @Colin, is this attempt of yours - to run after that misbehaving
> application developers - really a clean solution.

I've been thinking (well, mostly despairing) about this bug for nearly a
year now, on and off. I haven't done anything about it because all the
solutions I could think of were either impractical or would introduce
different problems that would be significant in themselves. This is the
first approach I've thought of that I could deploy with relatively
little effort, and push to stable releases with a very low probability
of disruption.

> Wouldn't it be great to have an additional feature for all boot
> capeable Linux filesystems:
>
> - keep the first 32Kib empty and reserved for grub if there is an
> additional flag (boot) set when mkfs

If you want me to redesign the world, then this bug will never be fixed.
I am a relatively pragmatic developer and would prefer something that's
possible right now.

Besides, your proposed approach has a different fundamental flaw: it
relies on the partition in question residing early enough on the disk
that the BIOS can read it. By contrast, using GRUB 2's ata module it is
possible to boot from a partition later than that barrier provided that
core.img is installed near the start. This is relevant to dual-booters
because Windows is usually already installed at the start of the disk
and cannot easily be moved further forward.

I'm convinced that the embedding area is a fundamentally better place
for a boot loader to live; we just need to work around issues like this
one. Such a workaround requires no changes whatsoever to GRUB's
diskboot assembly code, merely a relatively trivial change to
grub-setup, and would not change any other properties of GRUB's booting
arrangements. To me, this makes this an attractive solution even if it
does involve a certain amount of chasing.

> This flag could be the default for all partitions on non embedded,tiny
> systems.

If you'd like to take this up with filesystem developers, by all means
feel free. I'm not going to wait for it with respect to this bug,
though.

If you'd like to discuss this further, then please take it to private
e-mail. This bug is already very long, and I don't want to distract
people from supplying the specific information I've asked for.

Philip Muškovac (yofel) wrote :

for me it's 00002e00..00002ff0 being modified.

drgoplayer (tsuki190) wrote :

One approach to a solution is to make the code written to MBR as small as possible. Is Windows writing a boot loader to the MBR? Then make Grub2 code write to the same area exactly.

mlx (myxal-mxl) wrote :

I had this happen to me - see my comments with attachments (#31 and 32) in Bug #26058

Marko Vertainen (mve) wrote :

Attachment 'Output from fdisk -lu, MBR files and diff running Adobe CS4' includes files described in comment #4.

This happens when running any of the Adobe CS4 applications in Asus U1F notebook. I'm having triple boot between Ubuntu 10.04 LTS, Windows 7 Pro and Meego 1.0 and I'm using grub2. When running fdisk -lu it said that first partition starts at 2048 so it's pretty far away of that typical 63 mentioned in comment #4. I hope that MBR dumps are taken in correct order.

One probably-not-as-easy-as-it-sounds idea:
Have grub installer compute suitable error correction codes of the embedding area and save them somewhere there (after the core image, say). When Windows next time trashes it, when reinstalling Grub the installer could use the codes to determine which part of the embedding area has been overwritten (if the codes themselves have been rewritten, the information isn't complete but enough to be helpful) and try another area instead. Even though it'd mean having to reinstall grub maybe a few times, it should stabilize eventually (unless the windows things use up all available space). And it could (with user's permission of course) report the areas used automatically to developers.

This should require hardly any changes to grub, just a few extra pointer bytes in MBR - the installer, however, would need some rather heavy coding to pull this off.

psadac (psadac) wrote :

The problem appears after boot on Windows XP, infinite loop after bios boot.
This seems to be a related to Novell ZISD (see mbr_bad) : this is a corporate computer an there is a Novell Client installed on it.
I have already installed Fedora 13 on the same computer, with the same disk configuration, without any problem related to grub, so there must be a solution already.
I switched back to lilo, of course the boot screen looks "vintage", but at least everything works fine.
includes files described in comment #4.

I can confirm that by removing Dell Datasafe Local Backup fixed the issue for me. I'm on a Dell Inspiron 15R with Windows 7 Home Basic and Ubuntu Lucid Lynx 10.04.1. I'm going to report this to Dell. Cheers!

mavosaure (mavosaure) wrote :

As reported in bug #551721, I experimented this bug since the 20th of august on my Dell Studio 1558 laptop, just after a Dell update when I was using Windows Seven. But the little difference is the error message. (Each time I recover GRUB using the same method, with a the lucid live USB) Most of time, I got :
"no module name found
Aborted. Press any key to exit." (as in #551721)
or sometimes , just a blinking "_"

I'm using Ubuntu 10.04.1 amd64 in dual boot with Seven and the problem is probably caused like other people by "Dell Datasafe Local Backup", that I didn't uninstall.

@ Colin : you 'll find files requested by Felix attached here.
@ Colin (bis) : Bugs #551721 and #482757 are very similar. Maybe do we have to mark them as duplicate of this one?

zhouzhk@hotmail.com (zhouzhk) wrote :

I found the following applications could fire this bug also: UtraISO,Adobe Flash Builder 4

Colin Watson (cjwatson) wrote :

mavosaure: Thanks. Regarding possible duplicates: I think I'll keep them separate because otherwise this bug is going to get VERY long as reports about application after application come in.

<email address hidden>: Please provide the information requested in comment 4 for these applications. I'm afraid simply saying that an application is affected doesn't help us very much.

Colin Watson (cjwatson) wrote :

Could people affected by this bug please upgrade to the grub-common and grub-pc packages from this PPA:

  https://launchpad.net/~cjwatson/+archive/ppa

... and try rebooting into Windows to see if that still makes GRUB unbootable? Hopefully it won't.

If it still breaks, then there are two possibilities:

  1) Nobody provided the information requested in comment 4 for whatever application is causing this on your system.
  2) Somebody provided this information, but the signature is more complicated than I thought.
  3) I screwed up somehow.

In all those cases, please provide the information requested in comment 4, and I'll see what I can figure out. If it does work for you, positive confirmation is good as well; if I can get confirmation that I'm improving things for a respectable number of people, then I should be able to get this into Maverick and possibly backport the change to earlier releases as well.

Changed in grub2 (Ubuntu Maverick):
status: Confirmed → In Progress
milestone: none → ubuntu-10.10
mavosaure (mavosaure) wrote :

Bad news!

I just tried your packages (@Colin Watson) but after rebooting on Seven, it fails again. (I setted up Maverick on an another partition of the same disk).

You'll find the requested files here.

Colin Watson (cjwatson) wrote :

I've replied to mavosaure in bug 551721. The failure is specific to this case, and other people with the same problem should still give my packages a try.

Marko Vertainen (mve) wrote :

I upgraded grub from the mentioned ppa to my Lucid installation. After upgrade was finished I rebooted and went to Windows 7, and started Adobe Photoshop. After reboot, grub2 was still missing. I rebooted from the live CD and restored grub installation (in chroot), and got following message after 'grub-install /dev/sda':

/usr/sbin/grub-setup: warn: sector 9 is already in use by FlexNet; avoiding it.
Installation finished. No error reported.

I think that I needed to install grub twice in the MBR because I hadn't used any of the offending Adobe software because of this bug and in first install new grub didn't see any trace from the FlexNet. So to get rid of this bug you need to use offending app in windows and then fix grub installation once more using live CD.

I have now started Photoshop few times in Windows 7 and grub is still working and I can select Ubuntu, Windows 7 and MeeGo in the boot time. Thank you very much for your work done to fix this problem.

mavosaure (mavosaure) wrote :

@Colin Watson : you'll find requested files for multiple GRUB's breaks due to Windows software.

@Marko Vertainen : your experience is interesting! How did you proceed? something as described on this page?
https://wiki.ubuntu.com/Grub2#Recover%20Grub%202%20via%20LiveCD

Thxs

Gogl (pscharpfenecker) wrote :

Using Ubuntu 10.10 beta on a Dell laptop. Grub2 doesn't break every time i boot Win7. I think the reason for me is LoJack. When I start a test call, grub breaks and the boot process results in an infinite loop. I'm going to try burg and see if it still breaks.

Marko Vertainen (mve) wrote :

@mavosaure. I used excactly that wiki page to recover grub installation. I set ppa's distribution to maverick even though I'm using lucid on that laptop, because there wasn't new grub package made for lucid. No problems so far.

Colin Watson (cjwatson) wrote :

Marko: Great, that's as expected so far, thanks. (In a future version of GRUB, it will be able to tolerate one sector being overwritten using an error-correcting code; for now, all I'm trying to get to is that you can at least reinstall GRUB afterwards and it won't be broken again.)

mavosaure: Your attachments in comment 162 and comment 165 are exactly identical. Did you perhaps attach the wrong file?

Gogl: Your example is much worse. It looks as though something has installed an entirely different boot loader; even the boot sector has been changed. It really is impossible for GRUB to recover from this.

mavosaure (mavosaure) wrote :

@Colin : Sorry for my mistake. This one is the good one!

I tried to recover/re-install GRUB by using chroot instead of simple
recover but I didn't receive any special message.

Gogl (pscharpfenecker) wrote :

@Colin : Hmmm the interessting thing is, that burg works great. I compared the mbr with burg to the bad mbr with grub and it seems that the changes to the mbr didn't influence burg. Whatever changes the mbr, burg with the '--alt' option seems to be immune.

Colin Watson (cjwatson) wrote :

BURG doesn't install to the MBR. This has an entirely different set of problems, which I won't explain again here as I've done so before. We won't be following its example, and we definitely won't be using BURG as it has very little development effort on it compared to the GRUB project from which it forked.

Colin Watson (cjwatson) wrote :

This upload is now in maverick:

grub2 (1.98+20100804-5ubuntu2) maverick; urgency=low

  * When embedding the core image in a post-MBR gap, check for and avoid
    sectors matching any of a list of known signatures (mitigates LP
    #441941; more work may be required).

 -- Colin Watson <email address hidden> Mon, 27 Sep 2010 18:42:42 +0100

This has been confirmed to fix Photoshop for at least one person. I expect that more work on gathering signatures may be required, so I will not close this bug, but I will take it off the critical list for 10.10 at this point.

Changed in grub2 (Ubuntu Maverick):
milestone: ubuntu-10.10 → none
Colin Watson (cjwatson) wrote :

Gogl: anyway, no matter what burg does it can't possibly recover from its *boot sector* being overwritten, which is what your logs show; that's like removing its brain! I suspect that you have not told me the full story here; perhaps you have installed some other MBR program to the boot sector, and have installed grub or burg to a partition. At any rate something is very fishy.

Gogl (pscharpfenecker) wrote :

@Colin: Sorry, i didn't know the differences between burg and grub. To your last comment: The only thing I did was installing burg with the --alt option to /dev/sda, my only hard drive. Again, I don't know exactly what it does, but it works. But I think, corresponding to your previous comment that this discussion doesn't depend to this bug.

mavosaure (mavosaure) wrote :

@Colin : I hope you 'll find something interesting with my files.

Reading the comment #166 of Gogl make me remember that I have also LoJack, but in my case it isn't activated. But it may be a service or something like this which is launching at the set-up and that I didn't recognize. I read a little about and it seems it's setted up in the BIOS and in some cases it could write into the MBR :-(.

In other hand, note that I removed Dell DataSafe from the start-up list of msconfig without any effect.

Gary M (garym) wrote :

https://wiki.ubuntu.com/MaverickMeerkat/TechnicalOverview recently mentioned this bug in rev. 104.

Changed in ubuntu-release-notes:
status: New → Confirmed
crashfourit (crashfourit) wrote :

What about giving grub its own dedicated partition and move it out of the staging area?

Reserving only one track (aprox 63 sectors) should work.

Could also put grub in the staging area of an extended partition.

David Sharp (whereami) wrote :

@Colin I had experienced this bug with the Beta. So, before installing the RC (in the meantime I had to RMA my hard drive) I was able to take a clean copy of my MBR. Attached is a tarball with three versions of the first 63 sectors of my disk:

sda.0.beforeubuntu.clean:
 - This is taken with the livecd before installing (but after partitioning with gparted) Ubuntu 10.10 RC
 - The sector starting at offset 0x1400 contains some Dell-specific strings. I redacted my service tag number from here in two places (hence the ".clean" suffix).
sda.1.afterubuntu:
 - This is taken after first successful boot of Ubuntu
sda.2.afterwindows:
 - Finally, this is taken after booting into windows and then booting back into Ubuntu.

I did notice that the situation has improved for me between the beta and RC. I did not have to recover grub after starting windows, nor uninstall Dell DataSafe Local Backup. This is essentially fixed from my perspective, but if you wanted additional improvement, avoiding overwriting the bytes at 0x1400 would probably be nice. I don't know what those are used for.

Mike Ter Louw (miketl) wrote :

I have an HP and suspect ProtectTools is corrupting grub 2 (see attachment). Thank you for your effort on this, Colin.

Gary M (garym) on 2010-10-09
affects: grub → kgrub2editor
Gary M (garym) on 2010-10-09
affects: kgrub2editor → grub
Changed in ubuntu-release-notes:
status: Confirmed → Fix Released
Changed in grub2 (Debian):
status: New → Confirmed

Attaching output as asked in colin's blog post

Michael Bolotov (bolotov-mu) wrote :

   Hello!
 I am owner Dell Inspiron 1012. My basic OS Ubuntu netbook edition 10.04. The second OS is preestablished Windows 7 Starter.
 I too have a problem with this bug. I heard, that it is maybe connected with the utility ' Dell Datasafe Local Backup '. I have removed ' Dell Datasafe Local Backup ' from automatic loading. But it has not helped.
 I very badly know English, excuse.

I am "enjoying" this bug on my HP nc8430 laptop with ubuntu 10.10 and windows XP pro.
I did restore with Ubuntu 10.10 Live USB-key.
I have not figured yet what windows software is causing this, I did some updates to my Windows XP and this bug was my result.
I have attached output as asked in colin's blog post

I also have this bug on a Dell Vostro 1520, and already removed the Dell Recovery Tool. However, next time I had this problem again.

Here are my dump output as asked in comment #4.

Changed in grub2 (Debian):
status: Confirmed → Fix Released
jooh plo (mmnch) wrote :

I'm using an HP/Compaq nx 7300 laptop and something from windows definitely seems to be messing up the GRUB2 procedure. I've attached output from fdisk -lu, the diff of good and bad MBR, and the whole output of MBR for good and bad. I understand the basics of what's going on here, but I'm not techie enough to know how to interpret the MBR output, so any help that is geared toward a non-technical person is appreciated.

Ryan Little (ryan-little) wrote :

I have experienced the same issue with my Compaq 6715b.

I have XP SP3 and Ubuntu 10.10 on a single drive. When booting up the GRUB appears OK. If I boot in to Unbuntu and then restart GRUB still appears. As soon as I boot in to XP and restart GRUB is gone.

I can't say for sure what software is responsible, I decided to remove all of the HP bundled software that is shipped with the laptop that I never use. This has fixed the problem and I can now boot between operating systems quite happily without any more issues.

The HP software that remains on my laptop is listed below and can therefore be ruled out as possible culprits;

HP Backup and Recovery Manager Installer
HP Integrated Module with Bluetooth wireless technology
HP Quick Launch Buttons 6.20 F2
HP User Guide Bluetooth Addendum 0062
HP User Guides 0064
HP Wireless Assistant

Tom (tom1) wrote :

HP 6325, XP SP3 and 10.04.
Uninstalled: HP Backup and Recovery Manager Installer
Reinstalled GRUB as per griese's tips
No further problems.

John Papineau (j-lp) wrote :

I add the same problem with someone computer. I used the cd disk to boot the computer and backed up all the the picture and other personal document . Then I installed the new version of Ubuntu with windows and i add no more problem.

ps. other thing you may whant to look at is the configuration of the hard drive on the computer. When you dual boot windows with Ubuntu you need to put windows on your first sata boot and ubuntu has your second sata boot on your motherboard. Then , install windows operating system on the first boot sata on your motherboard. After you are done. Install Ubuntu on your sata that is on your sacond boot on your motherboard. If when you boot your computer you do not see the ubuntu menu, just go into the bios menu and put your hard drive that has ubuntu installed on it has your first drive to boot in your boot selection menu . THen boot your computer again you should now see the ubuntu menu .

I hope that this help you

Changed in grub2 (Ubuntu Lucid):
status: New → Confirmed
Graham Inggs (ginggs) wrote :

Recently installed Ubuntu 11.04 with grub-pc 1.99~rc1-13ubuntu3 in a dual-boot with Windows, grub fails after running Windows.

Colin Watson (cjwatson) wrote :

Graham, please follow the instructions in http://www.chiark.greenend.org.uk/ucgi/~cjwatson/blosxom/debian/2010-08-28-windows-applications-making-grub2-unbootable.html to gather more data, except rather than following up to this bug please file a *new* bug report against grub2 in Ubuntu.

Changed in grub2 (Ubuntu):
status: In Progress → Triaged
Changed in grub2 (Ubuntu Maverick):
status: In Progress → Triaged
Graham Inggs (ginggs) wrote :

Colin, just checking whether you can see the attachment to my post on 2011/07/25.
https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/441941/+attachment/2231448/+files/jbergh.tar.gz

Ruben (info-rubenfelix) wrote :

Hey!

Bedankt voor je mail! Ik ben er even tussenuit geknepen naar een lekker warm land! Ik beantwoord je mail na mijn vakantie (11 oktober).

Groetjes!

Ruben

Tabs (tabsc) wrote :

Hi, i got the same problem:
- no grub problem by default but after a log in windows the computer start to boot in a loop (computer reboots at the moment when grub should start);
- when installing grub I have the warning "Sector 5 is already in use by ZISD; avoiding it. This software may cause boot or other problems in future. Please ask its authors not to store data in the boot track".

I am running Unbuntu 11.04 and grub 1.99~rc1-13ubuntu3.
The boot is done on a RAID 5 array.

And finally you will find the files files attached as requested here:
http://www.chiark.greenend.org.uk/ucgi/~cjwatson/blosxom/debian/2010-08-28-windows-applications-making-grub2-unbootable.html

I hope you can help and thanks in advance.

Tabs (tabsc) wrote :

Hi Again,

I found an alternate solution to my problem: I simply disabled the ZISD at startup. I found many post saying that it is not possible but it seems it is (or at least this step resolved my booting problem). That is why I take the liberty to write it here, although not directly related to Grub.

What you have to do is to create the following String Value using regedit:
ZISWIN Disabled
and set it to 1

The exact location of the key and more informations can be found here:
http://www.novell.com/support/php/search.do?cmd=displayKC&docType=kc&externalId=3302285&sliceId=1&docTypeID=DT_TID_1_1&dialogID=18570921&stateId=1%200%2018572294

I would still be interested in a Grub update that manage to avoid this stupid ZISD MBR modification.

Thanks !

YannUbuntu (yannubuntu) wrote :

Hello
Here is a similar case due to the use of SolidWorks2010 : Bug #907283

Hope this helps.

JC Hulce (soaringsky) wrote :

This bug affects Ubuntu 10.10, Maverick Meerkat. Maverick has reached end-of-life and is no longer supported, so I am closing the bug task for Maverick. Please upgrade to a newer version of Ubuntu.
More information here: https://lists.ubuntu.com/archives/ubuntu-announce/2012-April/000158.html

Changed in grub2 (Ubuntu Maverick):
status: Triaged → Invalid
Phillip Susi (psusi) wrote :

Hey Colin, didn't this fix make it into Ubuntu as well or is it really just Debian?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.